Author Topic: OXCE v6.1.1 for MacOS  (Read 3384 times)

Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 5479
  • Aaand we're back!
    • View Profile
    • My Wiki
OXCE v6.1.1 for MacOS
« on: September 21, 2018, 05:29:47 pm »
OXCE for MacOS has been upgraded to v5.0 too.

Download: https://openxcom.org/forum/index.php/topic,5258.0.html

PS: Can someone please confirm it's working correctly?
It works fine on my MacBook Air (High Sierra), but I would like to know if it works also for people, who don't have any development environment installed.
« Last Edit: November 02, 2019, 06:32:48 pm by Meridian »

Offline Fox Mulder

  • Sergeant
  • **
  • Posts: 22
    • View Profile
Re: OXCE v5.0 for MacOS
« Reply #1 on: September 24, 2018, 12:34:10 pm »
Works flawlessly on my Air, High Sierra. Thanks for having ported it there

Offline futurum

  • Squaddie
  • *
  • Posts: 2
    • View Profile
Re: OXCE v5.0 for MacOS
« Reply #2 on: September 26, 2018, 09:58:38 am »
Works fine on Macos Mojave as well, good work - many thanks!

Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 5479
  • Aaand we're back!
    • View Profile
    • My Wiki
Re: OXCE v5.1 for MacOS
« Reply #3 on: November 12, 2018, 01:20:04 pm »
Here's a preview of upcoming OXCE 5.2: https://drive.google.com/open?id=1Cv636dNSXsPWUDtR3ADS_vcgrsJ_YTPj

Would appreciate some feedback if it works fine... especially in non-English character sets (e.g. Russian).

Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 5479
  • Aaand we're back!
    • View Profile
    • My Wiki
Re: OXCE v5.3 for MacOS
« Reply #4 on: March 05, 2019, 04:44:47 pm »

Offline jasem

  • Squaddie
  • *
  • Posts: 6
    • View Profile
Re: OXCE v5.3 for MacOS
« Reply #5 on: March 08, 2019, 10:47:41 am »
Hi,

I am a new user of OXCE, I tried OXC before but I have found out about this project which seems amazing. 

I wanted to give it a go but I hit a small issue though, I have just downloaded the 5.3 package and I cannot even mount it on my system.  I tried to re-download it again, and again and every time I double click on the package I get this error (attached image).

Any ideas guys?
My specs:  MBAir 2013, OSX Yosemite 10.10.5

Thanks for any info.

Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 5479
  • Aaand we're back!
    • View Profile
    • My Wiki
Re: OXCE v5.3 for MacOS
« Reply #6 on: March 08, 2019, 03:29:44 pm »
Hi,

can you try mounting via command line and make a screenshot of the result?

See point 3 in this article: https://deciphertools.com/blog/2017-10-02-no-mountable-file-systems/

M.

PS: maybe I created the image with the new Apple File System, but I wouldn't know, I'm a Mac-noob :) If it turns out to be that, I will try creating something more backwards-compatible
« Last Edit: March 08, 2019, 03:37:10 pm by Meridian »

Offline jasem

  • Squaddie
  • *
  • Posts: 6
    • View Profile
Re: OXCE v5.3 for MacOS
« Reply #7 on: March 08, 2019, 05:28:18 pm »
Hey, Thanks for replying so fast.

I ran the command you have asked for and I'm attaching the results.  If you could make sense out of this and make it work somehow, that would be awesome.  I'm no programmer myself but if you need any more help, let me know.  I have no clue how to compile projects etc. so you are doing amazing job for us OSX users by doing fresh build like that. 

Thank you!




Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 5479
  • Aaand we're back!
    • View Profile
    • My Wiki
Re: OXCE v5.3 for MacOS
« Reply #8 on: March 08, 2019, 07:14:15 pm »
Well, no idea, I don't see APFS mentioned there.

I tried if I can change the file system type in the DiskUtil utility (which I use to create the dmg file), but didn't find anything useful.

I am attaching just a ZIP file with OXCE 5.3 here in this post... please check if that works.

Offline Stoddard

  • Colonel
  • ****
  • Posts: 457
  • in a fey mood
    • View Profile
    • Linux builds & stuff
Re: OXCE v5.3 for MacOS
« Reply #9 on: March 08, 2019, 07:29:03 pm »
Well, no idea, I don't see APFS mentioned there.

I managed to mount this dmg on linux and it does contain an APFS filesystem:

1. 7zip knows how to split dmg files in parts (disk partititions actually)
2. there's apfs-fuse that can actually mount the apfs part

Code: [Select]
$ 7z l OXCE\ v5.3\ 2019-03-05.dmg

7-Zip [64] 16.02 : Copyright (c) 1999-2016 Igor Pavlov : 2016-05-21
p7zip Version 16.02 (locale=en_US.UTF-8,Utf16=on,HugeFiles=on,64 bits,12 CPUs AMD Ryzen 5 2600X Six-Core Processor            (800F82),ASM,AES-NI)

Scanning the drive for archives:
1 file, 8132576 bytes (7942 KiB)

Listing archive: OXCE v5.3 2019-03-05.dmg

--
Path = OXCE v5.3 2019-03-05.dmg
Type = Dmg
Physical Size = 8132576
Method = Zero0 Zero2 ZLIB CRC
Blocks = 32

   Date      Time    Attr         Size   Compressed  Name
------------------- ----- ------------ ------------  ------------------------
                    .....          512           31  0.MBR
                    .....          512           76  1.Primary GPT Header
                    .....        16384          177  2.Primary GPT Table
                    .....         3072            0  3.free
                    .....     37806080      7951596  4.Apple_APFS
                    .....         2560            0  5.free
                    .....        16384          177  6.Backup GPT Table
                    .....          512           79  7.Backup GPT Header
------------------- ----- ------------ ------------  ------------------------
                              37846016      7952136  8 files


edit: I also have 5.1 .dmg and it also has APFS.
« Last Edit: March 08, 2019, 07:34:44 pm by Stoddard »

Offline jasem

  • Squaddie
  • *
  • Posts: 6
    • View Profile
Re: OXCE v5.3 for MacOS
« Reply #10 on: March 09, 2019, 03:54:56 pm »
Hi Meridian,

Thanks for the app.  I tried to run it, however the app crashes upon launch.  I can attach crash report if anyone is interested.


Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 5479
  • Aaand we're back!
    • View Profile
    • My Wiki
Re: OXCE v5.3 for MacOS
« Reply #11 on: March 09, 2019, 04:03:36 pm »
Hi Meridian,

Thanks for the app.  I tried to run it, however the app crashes upon launch.  I can attach crash report if anyone is interested.

Yes, please.

Offline jasem

  • Squaddie
  • *
  • Posts: 6
    • View Profile
Re: OXCE v5.3 for MacOS
« Reply #12 on: March 10, 2019, 01:50:34 am »
Here is the crash report. 


Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 5479
  • Aaand we're back!
    • View Profile
    • My Wiki
Re: OXCE v5.3 for MacOS
« Reply #13 on: March 10, 2019, 10:51:00 am »
Here is the crash report.

Hmm, it says that the included SDL library was built for OSX 10.13.

I'm pretty sure I built OXCE for OSX 10.9... but maybe the SDL libraries (installed via homebrew when I still had 10.13) were just copied from my now 10.14 system.
Not sure what can I do about it, but I'll definitely have a look.

Btw. is it possible to upgrade OSX on your MB Air?
« Last Edit: March 10, 2019, 11:17:01 am by Meridian »

Offline jasem

  • Squaddie
  • *
  • Posts: 6
    • View Profile
Re: OXCE v5.3 for MacOS
« Reply #14 on: March 10, 2019, 08:25:50 pm »
I was afraid it might be complicated, so that's why I posted here in a first place.  It is definitely possible to upgrade OS to a later one, however I try to avoid that. 

If it's too much of a trouble or simply not possible to make a package that is backwards compatible with 10.10.5 then don't worry about it.  I just thought/hoped it was a matter of "clicking on a checkbox" somewhere when you build a project to make it backwards compatible.  If it requires too much of a time investment then, like I said, perhaps it's not worth it.   I'll manage with older versions of OpenXcom. 


Thanks for the response and all your help.